=== debian/control ===
# DO NOT EDIT THIS FILE!
# This file is generated and all changes will be overwritten

Source: picontrol
Section: kernel
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
  linux-headers-6.12.56-revpi1-rpi-v8 (= 6.12.56-revpi1-1+deb13+2),
Standards-Version: 4.7.2
Homepage: https://revolutionpi.com/
Rules-Requires-Root: no
Vcs-Git: https://gitlab.com/revolutionpi/piControl.git -b debian/trixie
Vcs-Browser: https://gitlab.com/revolutionpi/piControl/

Package: picontrol-6.12.56-revpi1-rpi-v8
Architecture: any
Depends:
  linux-image-6.12.56-revpi1-rpi-v8 (= 6.12.56-revpi1-1+deb13+2),
  picontrol-common,
  ${misc:Depends},
Conflicts: picontrol-dkms
Description: RevPi piControl kernel module package
 piControl is a kernel module for interfacing with RevPi hardware. It
 provides a common interface to all RevPi related IOs, which a user can
 consume via /dev/piControl0.
 .
 This package is built for linux-image-6.12.56-revpi1-rpi-v8
 (= 6.12.56-revpi1-1+deb13+2).

Package: picontrol-common
Architecture: all
Depends:
  ${misc:Depends},
Breaks: picontrol-dkms (<< 2.1.3-2)
Replaces: picontrol-dkms (<< 2.1.3-2)
Description: RevPi piControl kernel module package (common files)
 This package contains architecture independent files like udev rules
 and the modules-load.d configuration to automatically load piControl
 on boot.

Package: picontrol
Architecture: any
Depends:
  picontrol-6.12.56-revpi1-rpi-v8 (= ${binary:Version}),
  ${misc:Depends},
Description: RevPi piControl kernel module package (metapackage)
 piControl is a kernel module for interfacing with RevPi hardware. It
 provides a common interface to all RevPi related IOs, which a user can
 consume via /dev/piControl0.

Package: picontrol-dkms
Architecture: all
Depends:
  picontrol-common,
  ${misc:Depends},
Conflicts: picontrol
Description: piControl driver for Revolution Pi extension modules
 Revolution Pi is a set of IoT products based on the Raspberry Pi and
 geared towards industrial usage.
